# $Revision: 1.76 $, $Date: 2010/06/03 15:50:32 $
#
# Conditional build:
%bcond_without	gnome	# don't build gcdmaster
%bcond_without	mp3	# without MP3 support
%bcond_without	ogg	# without Ogg support
#
Summary:	Tools for burning CDRs in Disk At Once mode
Summary(pl.UTF-8):	Narzędzia do wypalania płyt w trybie Disk At Once
Summary(pt_BR.UTF-8):	Cdrdao - Escreve CD-Rs de áudio em modo "disk-at-once"
Name:		cdrdao
Version:	1.2.3
Release:	4
License:	GPL v2+
Group:		Applications/System
Source0:	http://dl.sourceforge.net/cdrdao/%{name}-%{version}.tar.bz2
# Source0-md5:	8d15ba6280bb7ba2f4d6be31d28b3c0c
Source1:	%{name}.desktop
# http://cdrdao.sourceforge.net/drives.html#dt
Source2:	%{name}.drivers
Patch0:		%{name}-nolibs.patch
Patch1:		%{name}-pccts-antlr.patch
Patch2:		%{name}-gcc4.patch
Patch3:		%{name}-glibc.patch
URL:		http://cdrdao.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cdrtools-devel >= 3:2.01a25
%{?with_gnome:BuildRequires:	gtkmm-devel >= 2.4.0}
%{?with_mp3:BuildRequires:	lame-libs-devel >= 3.92}
%if %{with mp3} || %{with ogg}
BuildRequires:	libao-devel >= 0.8
%endif
%{?with_gnome:BuildRequires:	libgnomeuimm-devel >= 2.6.0}
BuildRequires:	libmad-devel >= 0.15.1b-4
%{?with_mp3:BuildRequires:	libmad-devel >= 0.15.1b-4}
%{?with_gnome:BuildRequires:	libsigc++-devel >= 2.0.0}
BuildRequires:	libstdc++-devel
%{?with_ogg:BuildRequires:	libvorbis-devel >= 1:1.0}
BuildRequires:	pccts >= 1.33MR33-8
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cdrdao records audio and data CD-Rs in Disk At Once mode. This mode
gives much better control over contents of CD.

%description -l pl.UTF-8
Cdrdao zapisuje płytki audio i z danymi w trybie Disk At Once. W tym
trybie masz znacznie większą kontrolę nad zawartością płytki.

%description -l pt_BR.UTF-8
Escreve CD-Rs de áudio em modo "disk-at-once" (DAO) permitindo
controle sobre pre-gaps (tamanho reduzido a 0, dados não zerados de
áudio) e informações de sub-canais como códigos ISRC. Todos os dados
que são escritos no disco devem ser especificados através de um
arquivo texto. Dados de áudio também podem estar no formato WAVE ou
raw.

%package gcdmaster
Summary:	GNOME frontend to cdrdao for composing audio CDs
Summary(pl.UTF-8):	Frontend GNOME do cdrdao do składania płyt CD-Audio
Group:		X11/Applications
Requires(post,postun):	shared-mime-info
Requires:	%{name} = %{version}-%{release}

%description gcdmaster
gcdmaster allows the creation of toc-files for cdrdao and can control
the recording process. Its main application is the composition of
audio CDs from one or more audio files. It supports PQ-channel
editing, entry of meta data like ISRC codes/CD-TEXT and non
destructive cut of the audio data.

%description gcdmaster -l pl.UTF-8
gcdmaster pozwala na tworzenie plików toc dla cdrdao oraz może
kontrolować proces nagrywania. Głównym celem jest składanie płyt
CD-Audio z jednego lub więcej plików z dźwiękiem. Obsługuje edycję
kanału PQ, wpisy meta-danych takich jak kody ISRC/CD-TEXT oraz
niedestruktywne cięcie danych audio.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

sed -i -e 's#/usr/src/linux/include##g' scsilib/DEFAULT*/Defaults.linux
%if !%{with gnome}
sed -i -e 's/^en_xdao=yes$/en_xdao=no/' configure.ac
%endif

install %{SOURCE1} xdao/gcdmaster.desktop

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
PKG_CONFIG=%{_bindir}/pkg-config \
%configure \
	--with-pcctsbin=%{_bindir} \
	--with-pcctsinc=%{_libdir}/pccts/h \
	--with-scglib-inc=%{_includedir}/schily \
	--with-scglib-lib=%{_libdir} \
	--with%{!?with_gnome:out}-xdao \
	--with%{!?with_mp3:out}-mp3-support \
	--with%{!?with_ogg:out}-ogg-support

%{__make} \
	CC="%{__cc}" \
	COPTOPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_datadir}/%{name}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/%{name}/drivers

%if %{with gnome}
rm -r $RPM_BUILD_ROOT%{_datadir}/{application-registry,mime-info}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post gcdmaster
%update_mime_database

%postun gcdmaster
%update_mime_database

%files
%defattr(644,root,root,755)
%doc CREDITS README README.PlexDAE
%attr(755,root,root) %{_bindir}/cdrdao
%attr(755,root,root) %{_bindir}/toc2*
%attr(755,root,root) %{_bindir}/cue2toc
%{_datadir}/%{name}
%{_mandir}/man1/cdrdao.1*
%{_mandir}/man1/cue2toc.1*
%{_mandir}/man1/toc2cddb.1*
%{_mandir}/man1/toc2cue.1*

%if %{with gnome}
%files gcdmaster
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gcdmaster
%{_datadir}/gcdmaster
%{_datadir}/mime/packages/gcdmaster.xml
%{_desktopdir}/gcdmaster.desktop
%{_sysconfdir}/gconf/schemas/gcdmaster.schemas
%{_pixmapsdir}/*
%{_mandir}/man1/gcdmaster.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cdrdao.spec,v $
Revision 1.76  2010/06/03 15:50:32  baggins
- rel 4
- added headers required for stat(2)

Revision 1.75  2010/06/03 15:29:44  baggins
- rel 3

Revision 1.74  2010/05/12 12:44:29  baggins
- rel 2
- install our desktop file
- fixed desktop categories

Revision 1.73  2010/02/16 11:00:10  amateja
- updated to 1.2.3
- removed cdrdao-sigc.patch
- renumerated patches
- adapterized

Revision 1.72  2009/08/28 10:17:11  duddits
- glibc.patch added; stolen from -> http://bugs.gentoo.org/270414

Revision 1.71  2008/11/01 13:40:39  areq
- fix without gnome build

Revision 1.70  2008/11/01 13:18:40  arekm
- release 2

Revision 1.69  2007/09/06 18:32:07  qboosh
- updated gcdmaster files, enabled by default

Revision 1.68  2007/09/05 12:10:05  baggins
- 1.2.2

Revision 1.67  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.66  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.65  2006/11/13 14:53:20  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.64  2006/02/25 18:29:44  sparky
- pass CFLAGS and __cc

Revision 1.63  2005/11/26 02:07:08  charles
- updated to 1.2.1
- updated -{pccts-antlr,gcc4}.patch
- BR: pkgconfig

Revision 1.62  2005/09/20 11:24:21  pluto
- duplicated BR removed.

Revision 1.61  2005/09/19 22:32:17  pluto
- mp3 bcond splitted to mp3/ogg, BRs.

Revision 1.60  2005/09/19 22:24:52  qboosh
- updated xdao BRs

Revision 1.59  2005/09/17 22:18:06  areq
- add without mp3

Revision 1.58  2005/09/17 13:49:06  areq
- add gcc4.patch

Revision 1.57  2005/09/13 14:00:02  pluto
- updated to 1.2.0.

Revision 1.56  2004/07/10 11:43:15  averne
- now xdao is default off

Revision 1.55  2004/07/10 11:27:53  averne
- added pkgconfig patch
- NFY

Revision 1.54  2004/06/13 20:10:53  arekm
- updated to 1.1.9

Revision 1.53  2004/04/01 13:12:53  pluto
- gcc 3.4 fixes.

Revision 1.52  2004/03/29 14:12:20  arekm
- new drivers

Revision 1.51  2004/03/29 13:35:52  arekm
- drivers table is back

Revision 1.50  2004/02/27 08:37:14  blues
- take icon from sources (tnx ankry, I'm blind)

Revision 1.49  2004/02/27 00:37:11  adgor
- Fixed %%install

Revision 1.48  2004/02/27 00:01:43  qboosh
- typo, removed obsolete TODO

Revision 1.47  2004/02/26 21:08:18  blues
- added icon taken from RA (sic!)

Revision 1.46  2004/02/26 20:45:33  blues
- desktop based on k3b

Revision 1.45  2004/02/15 14:33:46  qboosh
- removed obsolete opt patch, cleanups

Revision 1.44  2004/02/13 15:40:55  wiget
- updated to 1.1.8
- removed outdated patches (opt.patch not reviewed yet)
- enabled gcdmaster by default (ported to gnome2)
- use external scglib

Revision 1.43  2004/01/04 14:55:17  adgor
- Added desktop.patch (desktop file moved to %%{_desktopdir}
- Removed gcdmaster-paths.patch (was redundant)
- Fixed destdir.patch
- Changed bcond name (witg gnome -> with gnome1)

Revision 1.42  2004/01/03 22:08:16  arekm
- add debian patch (ATAPI reading/writting support); don't use kernel-headers - use glibc-kernel-headers; rel 7

Revision 1.41  2003/12/18 19:34:56  undefine
- antlr is now with pccts, dont't require it separatly, release 6

Revision 1.40  2003/12/18 01:24:58  undefine
- release 5, patch to use pccts-antlr, not antlr

Revision 1.39  2003/12/17 20:49:42  undefine
- rever last change... what are we doing? antlr isn't compatybile with
  pccts-antlr

Revision 1.38  2003/12/17 20:35:05  undefine
- BR: antlr, instead of pccts-antlr

Revision 1.37  2003/12/17 20:25:46  undefine
- new style bconf, disable gnome support by default (we don't support gnomemm from gnome1)
- release 4 to rebuild with ac

Revision 1.36  2003/10/12 08:58:35  adgor
- Bleh.. R: pccts-antlr (doesn't compile with new antlr)

Revision 1.35  2003/10/12 08:42:21  adgor
- R: antlr

Revision 1.34  2003/08/06 16:42:53  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.33  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.32  2003/05/25 05:46:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/08 10:33:12  qboosh
- use http for sources from sourceforge

Revision 1.30  2003/03/13 21:26:24  qboosh
- updated gcdmaster-paths patch for /usr (untested)
- added nolibs patch to avoid unnecessary -lnsl
- added missing files
- BR: lame-libs-devel

Revision 1.29  2003/03/09 18:38:50  adgor
- One more Obsoleteskdeadmin.spec

Revision 1.28  2003/01/21 23:24:00  qboosh
- refreshing config.sub no longer necessary
- removed BR libsigc++1-devel - not used directly (and gtkmm1-devel R: that)

Revision 1.27  2003/01/17 11:04:04  wiget
- added missing files
- release 2

Revision 1.26  2003/01/16 16:33:20  wiget
- fix pccts include location

Revision 1.25  2003/01/05 16:54:06  wiget
- BR fix

Revision 1.24  2002/12/27 18:37:34  bszx
- updated to 1.1.7
- removed obsoleted patches

Revision 1.23  2002/10/12 22:18:54  qboosh
- added gcc3 patch to allow build with libstdc++v3
- refresh config.* (for athlon)

Revision 1.22  2002/09/12 11:04:55  trojan
- BuildRequires: libsigc++1-devel instead libsigc++-devel

Revision 1.21  2002/07/22 18:47:49  blues
- typo

Revision 1.20  2002/07/21 20:05:21  kloczek
- do not regenerate ac files in subdirectories in subshell.

Revision 1.19  2002/07/13 19:16:44  mmazur
- bumped release
- use new %doc

Revision 1.18  2002/05/21 23:12:43  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/25 16:04:19  arturs
- fixed a small typo

Revision 1.16  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/03 20:43:22  ankry
- adding es/pt/pt_BR Group translations

Revision 1.14  2002/01/18 02:12:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/07 16:36:24  kloczek
- release 2.

Revision 1.12  2001/11/07 16:33:13  qboosh
- two gcdmaster-related fixes (one in spec, second in gcdmaster-paths patch)

Revision 1.11  2001/11/06 00:30:03  kloczek
- merge translations from CNV.

Revision 1.10  2001/11/02 17:53:12  qboosh
- updated to 1.1.5, updated destdir patch
- acfix patch with autoconf 2.52 compatibility fix
- xcdrdao has been updated to GTK-- 1.2.5 API, but to gcdmaster
  and is GNOME application now (moved to subpackage - probably NFY)
- gcdmaster-paths patch with hardcoded paths to move gcdmaster to /usr/X11R6

Revision 1.9  2001/10/13 19:20:03  qboosh
- added URL, updated Source0 URL (note: 1.1.5 on ftp)

Revision 1.8  2001/10/13 12:56:06  qboosh
- pass false gtk-- prefix to allow building without xdao when gtk-- is installed
  (xdao requires gtk-- 1.0.0 and doesn't build with 1.2.5; gtkmmconvert hangs)
- release 2

Revision 1.7  2001/10/01 09:37:13  marcus
- %%configure2_13

Revision 1.6  2001/03/15 23:19:49  kloczek
- spec adapterized,
- added autoconf to BuildRequires,
- removed COPYING from %doc (well known copyright statment is in License
  field),
- do not gzip man pages (rpm does this),
- removed all commented lines in %install.

Revision 1.5  2001/03/15 18:27:43  qboosh
- opt patch (use $RPM_OPT_FLAGS, not -O20 to compile paranoia)

Revision 1.4  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.1  2000/04/24 18:25:55  mkochano
- Builds without X interface. The interface can't be compiled with current
  version of gtkmm.
